# flutter_custom_form_component

I have some custom UI components which supporting form on a page. You can use my existing components
that help users typing on a field, i.e.:

* `MmDdYyyyFieldWidget`
* `DdMmYyyyFieldWidget`
* `YyyyMmDdFieldWidget`
* `YyyyDdMmFieldWidget`
* `MoneyFieldWidget`
* `BankCardNumberFieldWidget`
* `NameFieldWidget`
* `RegistrationNumberFieldWidget`

I will provide much more components form-related, such as `EmailAddressFieldWidget`
, `PhoneNumberFieldWidget` and so on.

## Getting Started

Add `flutter_custom_form_component` dependency to your `pubspec.yaml`.

```yaml
dependencies:
  flutter_custom_form_component: ^0.0.8
```

Date field supports MMDDYYYY format.

```
SizedBox(
          child: MmDdYyyyFieldWidget(

              /// Optional. It has default value.
              hint: 'MM / DD / YYYY',

              /// Optional. For your own validation logic.
              isValid: true,

              /// Optional
              onChanged: (final int? year, final int? month, final int? day) {
                /// You can get the values here.
              },

              /// Optional. It has default value.
              separator: ' / '),

          /// Wrap the height.
          height: 52.0,
        )
```

Money field supports symbol, thousand separator and decimal.

```
SizedBox(
          child: MoneyFieldWidget(

              /// Optional
              hint: '\$ 0.0',

              /// Optional. It has default value.
              isUsingPeriodInThousand: true,

              /// Optional
              onChanged: (final double? value) {
                /// You can get the values here.
              },

              /// Optional
              symbol: '\$ '),

          /// Wrap the height.
          height: 52.0,
        )
```

Bank card number field supports separator.

```
SizedBox(
          child: BankCardNumberFieldWidget(

              /// Optional
              hint: '0000 - 0000 - 0000 - 0000',

              /// Optional
              onChanged: (final String value) {
                /// You can get the values here.
              },

              /// Optional. It has default value.
              separator: ' - '),

          /// Wrap the height.
          height: 52.0,
        )
```