import 'package:flutter/material.dart';
import 'package:flutter_custom_form_component/widget/color.dart';

/// Mixin supports entire text field on plugin.
mixin FieldWidgetMixin {
  /// Container has infinity height and width, rounded border and horizontal padding.
  Widget container({required final TextField textField}) => Container(
      child: Padding(
          child: textField,
          padding: const EdgeInsets.symmetric(horizontal: 20.0)),
      decoration: BoxDecoration(
          border: Border.all(color: colorBlue, width: 0.5),
          borderRadius: BorderRadius.circular(8.0),
          color: colorWhite),
      height: double.infinity,
      width: double.infinity);
}
